find_package(PIP)
if (PIP_FOUND AND BUILDING_pip)

	project(piqt_utils)
	pip_code_model(CCM "${pip_ROOT_SRC}/libs/main/io_devices/piiodevice.h" "${pip_ROOT_SRC}/libs/main/io_utils/pipacketextractor.h" OPTIONS "-DPIP_EXPORT" "-Es" ABSOLUTE)
	qad_library(piqt_utils "Gui" "qad_blockview;qad_piqt" ${CCM})

	foreach(_v ${_QT_VERSIONS_})
		if (LOCAL_FOUND${_v})
			add_dependencies(qad_piqt_utils${_v} pip_cmg)
		endif()
	endforeach()
	
endif()
